# DS_WeightedGraph.h File Reference

[Internal] Weighted graph. I'm assuming the indices are complex map types, rather than sequential numbers (which could be implemented much more efficiently). More...

`#include "DS_OrderedList.h"`
`#include "DS_Map.h"`
`#include "DS_Heap.h"`
`#include "DS_Queue.h"`
`#include "DS_Tree.h"`
`#include "RakAssert.h"`
`#include "RakMemoryOverride.h"`

## Namespaces

namespace | DataStructures

## Detailed Description

[Internal] Weighted graph. I'm assuming the indices are complex map types, rather than sequential numbers (which could be implemented much more efficiently).

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.